# PSF-LoginServer - master - net.psforever.objects.entity.GUIDException
PSF - LoginServer - master - net.psforever.objects.entity.GUIDException
Keywords: PSF LoginServer master net.psforever.objects.entity.GUIDException

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package entity
  Definition Classes
    objects
- AssigningGUIDException
- GUIDException
- Identifiable
- IdentifiableEntity
- NoGUIDException
- SimpleWorldEntity
- WorldEntity

c

net.psforever.objects.entity

# GUIDException

###

#### abstract class GUIDException extends RuntimeException

The base for all complaints that can be raised regarding the management of global unique identifier numbers.

Source
  GUIDException.scala

Linear Supertypes
RuntimeException, Exception, Throwable, Serializable, AnyRef, Any
Known Subclasses
AssigningGUIDException, NoGUIDException

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GUIDException
2. RuntimeException
3. Exception
4. Throwable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new GUIDException(message: String, cause: Throwable, obj: IdentifiableEntity, guid: PlanetSideGUID)

   message

     the message string

   cause

     the cause of this error

   obj

     the entity being manipulated when the complaint arose

   guid

     the identifier number being manipulated when the ciomplaint arose

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  def getCause(): Throwable
    Definition Classes
      Throwable
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getEntity: IdentifiableEntity
14.  def getGUID: PlanetSideGUID
15.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
16.  def getMessage(): String
    Definition Classes
      Throwable
17.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
18.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
26.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
27.  def printStackTrace(): Unit
    Definition Classes
      Throwable
28.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from RuntimeException

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped